import {NetworkState} from "./NetworkState";
import {SyncedState} from "../../../common/src/state/SyncedState";

export interface AppState {
    /** The current state of the app with pending actions applied; the local version. */
    readonly localState: SyncedState | null
    readonly network: NetworkState
}