import {USER_ACTIVE_COLOR, UserAction} from "../actions/UserAction";
import {UserState} from "../state/UserState";

export function userReducer(oldState: UserState, action: UserAction): UserState {
    switch (action.type) {
        case USER_ACTIVE_COLOR:
            if (oldState.activeColor === action.color) {
                return oldState
            }
            return {
                ...oldState,
                activeColor: action.color
            }
    }
}